# Statement

## Method & Permission

| API              | GET   | POST | PUT | PATCH | DELETE |
| ---------------- | ----- | ---- | --- | ----- | ------ |
| Statement List   | Admin | -    | -   | -     | -      |
| Statement Detail | Admin | -    | -   | -     | -      |

The statement will be generated automatically and you do not need to post.

## Statement List

<mark style="color:blue;">`GET`</mark> `{{ base_url }} /organizations/statement/list/{level}/{sid}/{serializer}/`

#### Path Parameters

| Name       | Type   | Description      |
| ---------- | ------ | ---------------- |
| level      | string | organization     |
| sid        | string | organization sid |
| serializer | string |                  |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
# serializer = name
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 2,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "xxx",
            "name": "Statement 2020-02-10 - 2020-03-09"
        },
        ...
    ]
}
# serializer = list
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 2,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "xxx",
            "name": "Statement 2020-02-10 - 2020-03-09",
            "date_start": "2020-02-10",
            "date_end": "2020-03-09",
            "subscription_cost": "$xxx.0",
            "ppu_cost": "$0",
            "section_widget_usage_cost": "$0.00",
            "column_widget_usage_cost": "$0.00",
            "record_storage_cost": "$0",
            "file_storage_cost": "$0",
            "backup_cost": "$xxx",
            "total": "$xxx",
            "change_permission": false
        },
        ...
    ]
}
# serializer = detail
{
    "page_size": 10,
    "page_number": 1,
    "page_count": 1,
    "count": 2,
    "next": null,
    "previous": null,
    "add_permission": true,
    "results": [
        {
            "sid": "xxx",
            "name": "Statement 2020-02-10 - 2020-03-09",
            "date_start": "2020-02-10",
            "date_end": "2020-03-09",
            "subscription_price": "$xxx/seat/month",
            "seats": xxx,
            "subscription_cost": "$xxx",
            "ppu_price": "$xxx/record",
            "record_count": xxx,
            "ppu_cost": "$xxx",
            "section_widget_usage_cost": "$xxx",
            "column_widget_usage_cost": "$xxx",
            "version_count": xxx,
            "record_storage_price": "$xxx/version",
            "record_storage_cost": "$xxx",
            "file_storage_price": "$xxx/100G/Month",
            "file_size": "xxx MB",
            "file_storage_cost": "$xxx",
            "backup_cost": "$xxx",
            "total": "$xxx",
            "available_credits": "$xxx",
            "is_current": true,
            "is_subscription": true
        },
        ...
    ]
}
```

{% endtab %}
{% endtabs %}

## Statement Detail

<mark style="color:blue;">`GET`</mark> `{{ base_url }} /organizations/statement/detail/{sid}/`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
| sid  | string |             |

#### Headers

| Name  | Type   | Description |
| ----- | ------ | ----------- |
| token | string |             |

{% tabs %}
{% tab title="200 " %}

```yaml
{
    "sid": "xxx",
    "name": "Statement 2020-02-10 - 2020-03-09",
    "date_start": "2020-02-10",
    "date_end": "2020-03-09",
    "subscription_price": "$xxx/seat/month",
    "seats": xxx,
    "subscription_cost": "$xxx",
    "ppu_price": "$xxx/record",
    "record_count": xxx,
    "ppu_cost": "$xxx",
    "section_widget_usage_cost": "$xxx",
    "column_widget_usage_cost": "$xxx",
    "version_count": xxx,
    "record_storage_price": "$xxx/version",
    "record_storage_cost": "$xxx",
    "file_storage_price": "$xxx/100G/Month",
    "file_size": "xxx MB",
    "file_storage_cost": "$xxx",
    "backup_cost": "$xxx",
    "total": "$xxx",
    "available_credits": "$xxx",
    "is_current": true,
    "is_subscription": true
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.labii.com/api/methods/statement.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
